@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css");

#talent-error-message {
    min-height: 1.25em;
    color: orange;
	text-shadow: none;
}
h1 {
	text-align: center;
}

.separated {
    margin-top: 1em;
    margin-bottom: 1em;
    margin-left: 0em;
    margin-right: 0em;
}

.talent-content-container {
	position: relative;
	height: 35em;
}

.talent-tree-container {
	margin: auto;
	width: fit-content;
	letter-spacing: .0625rem;
	text-shadow: -.09375rem -.0625rem 0 #000,.09375rem -.0625rem 0 #000,-.09375rem .15625rem 0 #000,.09375rem .15625rem 0 #000;
	color: #fcfcfc;
	display: grid;
	grid-template-rows: auto 35em;
	grid-template-columns: 1fr 70em 1fr;
	column-gap: 1em;
	row-gap: 1em;
}

.talent-header {
	padding-left: 20px;
	padding-right: 20px;
	background-color: #5C2F46;
	border: solid 2px #A74C7D;
	border-radius: 30px;
	min-width: 0px;
	grid-row-start: 1;
	grid-column-start: 2;
}

#talent-presets {
	grid-row-start: 2;
	grid-column-start: 1;
	display: inline-block;
	min-width: 15em;
	max-width: 24em;
	width: 100%;
}

#talent-presets-inner {
	padding: 1em;
	background-color: #5C2F46;
	border: solid 2px #A74C7D;
	border-radius: 30px;
    vertical-align: top;
	width: calc(100% - 2em);
	height: calc(100% - 2em);
	overflow-y: auto;
}

.talent-preset-list {
	list-style: none;
	padding-left: 0;
	display: flex;
	margin-left: auto;
	margin-right: auto;
	width: fit-content;
	flex-direction: column;
	align-items: center;
	gap: 1em;
}

.talent-description-note-expired {
	text-stroke: black;
}

#talent-description-points-connected {
    color: darkgreen;
    font-weight: bold;
}

#talent-description-points-required-connected {
    font-weight: bold;
}

#talent-description-points-connected.talent-missing-points {
    color: red;
}

#talent-description-preset-buttons {
	width: fit-content;
	margin: auto;
}

.info-card {
	background-image: linear-gradient(#ffd700, #dd9100);
	text-shadow: none;
	color: black;
	padding: .5em;
	border-radius: 1em;
	borderbox-shadow: rgb(255, 240, 0) 2px 2px 0px 0px, rgb(255, 240, 0) 2px -2px 0px 0px, rgb(255, 240, 0) -2px 2px 0px 0px, rgb(255, 240, 0) -2px -2px 0px 0px, rgb(160, 113, 2) 2px 4.8px 0px 0px, rgb(160, 113, 2) -2px 4.8px 0px 0px, rgb(31, 22, 31) 4.8px 6.4px 0px 0px, rgb(31, 22, 31) 4.8px -4.8px 0px 0px, rgb(31, 22, 31) -4.8px 6.4px 0px 0px, rgb(31, 22, 31) -4.8px -4.8px 0px 0px;
}

.info-card.inner {
	background-image: linear-gradient(#ebebeb, #a8a8a8);
	text-shadow: none;
	color: black;
	padding: .5em;
	border-radius: 1em;
	borderbox-shadow: rgb(255, 240, 0) 2px 2px 0px 0px, rgb(255, 240, 0) 2px -2px 0px 0px, rgb(255, 240, 0) -2px 2px 0px 0px, rgb(255, 240, 0) -2px -2px 0px 0px, rgb(160, 113, 2) 2px 4.8px 0px 0px, rgb(160, 113, 2) -2px 4.8px 0px 0px, rgb(31, 22, 31) 4.8px 6.4px 0px 0px, rgb(31, 22, 31) 4.8px -4.8px 0px 0px, rgb(31, 22, 31) -4.8px 6.4px 0px 0px, rgb(31, 22, 31) -4.8px -4.8px 0px 0px;
}

.info-card.empty {
	display: none;
}

.info-card.good {
	background-image: linear-gradient(cyan, lightblue);
}

.info-card.warning {
	background-image: linear-gradient(#ffa500, #dd6100);
}

.info-card.error {
	background-image: linear-gradient(red, darkred);
}

.icon-button {
	display: inline-flex;
	align-items: center;
    vertical-align: top;
    height: 3em;
}

.icon-button .icon-skilltree {
    background-image: url('global_icon_skilltree.png');
}

.icon-button img {
	max-height: 2em;
}

.icon-button i {
	font-size: 2em;
}

.talent-control-buttons {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.talent-control-buttons .button {
    width: 12em;
}

.talent-description-icon-wrapper {
	width: 100%;
}

#talent-description-icon {
	max-width: 50px;
	max-height: 50px;
	margin: auto;
	position: relative;
	left: calc(50% - 25px);
}

.currency-icon {
	max-height: 1em;
}

h2 {
	width: 100%;
	text-align: center;
}

#talent-description {
	grid-row-start: 2;
	grid-column-start: 3;
	display: inline-block;
	width: 100%;
	min-width: 15em;
	max-width: 24em;
}

#talent-description-inner {
	padding: 1em;
	width: calc(100% - 2em);
	height: calc(100% - 2em);
	background-color: #5C2F46;
	border: solid 2px #A74C7D;
	border-radius: 30px;
    vertical-align: top;
	overflow-y: auto;
}

#talent-description dt {
	font-weight: bold;
}

#talent-description .empty {
    display: none;
}
       
.talent-tree-tabs {
	position: relative;
	grid-row-start: 2;
	grid-column-start: 2;
	display: inline-block;
	user-select: none;
    transform-origin: top left;
	height: 35em;
	width: 70em;
	background-color: #5C2F46;
	border: solid 2px #A74C7D;
	border-radius: 30px;
}

.talent-tree {
    position: absolute;
    height: 25em;
    width: calc(100% - 10em);
	margin: 5em;
	padding: 0px;
}

.talent-description-hidden {
    visibility: hidden;
}

.talent-tree-inactive {
    display: none;
}

.talent-top-level .minus-button {
    position: absolute;
    left: 0px;
}

.talent-top-level .delete-button {
	position: absolute;
	top: calc(-.55em - 2px);
	left: 50%;
    transform: translate(calc(-50% - 1px), 0%);
}

.delete-button {
  display: inline-block;
  position: relative;
  width: .8em;
  height: .8em;
  background: #fff;
  cursor: pointer;
  border: 2px solid #095776;
}

.delete-button:after {
  content: '';
  position: absolute;
  transform: rotate(45deg);
  height: 20%;
  width: 100%;
  background: red;
  top: 40%;
  left: 0%;
}

.delete-button:before {
  content: '';
  position: absolute;
  top: 40%;
  left: 0%;
  transform: rotate(-45deg);
  background: red;
  height: 20%;
  width: 100%;
}

.delete-button:not(.disabled-button):hover:before,
.delete-button:not(.disabled-button):hover:after {
  background: #fff;
  transition: 0.2s;
}

.delete-button:not(.disabled-button):hover {
  background-color: #095776;
  transition: 0.2s;
}

.plus-button {
  display: inline-block;
  position: relative;
  width: .8em;
  height: .8em;
  background: #fff;
  cursor: pointer;
  border: 2px solid #095776;
}

.plus-button:after {
  content: '';
  position: absolute;
  transform: translate(-50%, -50%);
  height: 20%;
  width: 75%;
  background: #095776;
  top: 50%;
  left: 50%;
}

.plus-button:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #095776;
  height: 75%;
  width: 20%;
}

.plus-button:not(.disabled-button):hover:before,
.plus-button:not(.disabled-button):hover:after {
  background: #fff;
  transition: 0.2s;
}

.plus-button:not(.disabled-button):hover {
  background-color: #095776;
  transition: 0.2s;
}

.minus-button {
  display: inline-block;
  position: relative;
  width: .8em;
  height: .8em;
  background: #fff;
  cursor: pointer;
  border: 2px solid #095776;
}

.minus-button:after {
  content: '';
  position: absolute;
  transform: translate(-50%, -50%);
  height: 20%;
  width: 75%;
  background: #095776;
  top: 50%;
  left: 50%;
}

.minus-button:not(.disabled-button):hover:before,
.minus-button:not(.disabled-button):hover:after {
  background: #fff;
  transition: 0.2s;
}

.minus-button:not(.disabled-button):hover {
  background-color: #095776;
  transition: 0.2s;
}

.talent-top-level .minus-button {
	position: absolute;
	top: 0px;
    left: auto;
	right: calc(50% + .5em + 2px);
}

.talent-top-level .plus-button {
	position: absolute;
	top: 0px;
	left: calc(50% + .5em);
}

.button {
    cursor: pointer;
}
.button.disabled-button {
    box-shadow: inset 0 0 0 100vmax rgba(0, 0, 0, .5);
    cursor: not-allowed;
}
.talent-top-level {
	z-index: 1;
    position: absolute;
    width: 4em;
    height: 5em;
    padding: 0px;
    margin: 0px;
	--full-transform: translate(-2em, -3em);
	-transform: var(--full-transform);
	-o-transform: var(--full-transform);
	-ms-transform: var(--full-transform);
	-webkit-transform: var(--full-transform);
	-moz-transform: var(--full-transform);
}
.talent-top-level[data-talent-gold="true"] {
	height: 7em;
	width: 6em;
	--full-transform: translate(-3em, -4em);
}
.talent {
    position: absolute;
    height: 4em;
    width: 4em;
    top: 1em;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
	background: radial-gradient(circle at center,  rgb(137, 61, 100) 0%, rgb(121, 36, 82) 60%, rgb(191, 86, 151) 60%, rgb(191, 86, 151) 66%, black 66%, black 70%, transparent 70%);
}
.talent-top-level[data-talent-gold="true"] .talent {
	background: none;
	background-image: url("star.png");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 6em;
	width: 6em;
}
.talent-top-level.unavailable {
	filter: brightness(50%);
}
.talent img {
    max-width: 4em;
    height: auto;
}
.talent-top-level[data-talent-gold="true"] .talent img {
}
.talent-link {
    position: absolute;
	--diag-color: darkgreen;
	--diag-offset: .3em;
	background-color: var(--diag-color);
}
.talent-link.unlocked {
	--diag-color: lightgreen;
}
.talent-link.diagonal {
	clip-path: polygon(calc(cos(var(--diag-angle)) * var(--diag-offset)) calc(100% + sin(var(--diag-angle)) * var(--diag-offset)), calc(100% + cos(var(--diag-angle)) * var(--diag-offset)) calc(sin(var(--diag-angle)) * var(--diag-offset)), calc(100% - cos(var(--diag-angle)) * var(--diag-offset)) calc(sin(var(--diag-angle)) * -1 * var(--diag-offset)), calc(cos(var(--diag-angle)) * -1 * var(--diag-offset)) calc(100% - sin(var(--diag-angle)) * var(--diag-offset)));
}
.talent-link.diagonal.downwards {
	transform: scaleX(-1);
}

.talent-link.straight.horizontal {
	margin-top: calc(var(--diag-offset) * -1);
	margin-bottom: calc(var(--diag-offset) * -1);
	padding-top: var(--diag-offset);
	padding-bottom: var(--diag-offset);
}

.talent-link.straight.vertical {
	margin-left: calc(var(--diag-offset) * -1);
	margin-right: calc(var(--diag-offset) * -1);
	padding-left: var(--diag-offset);
	padding-right: var(--diag-offset);
}

.talent-point {
	width: 1em;
	height: 1em;
    position: absolute;
    top: calc(50% + .5em);
	left: 50%;
	background-color: #8B8000;
    border: solid .1em black;
    border-radius: .8em;
	
	--full-transform: translate(-.6em, -.6em) rotate(var(--talent-rotate-deg)) translate(-2em) rotate(calc(-1 * var(--talent-rotate-deg)));
	-transform: var(--full-transform);
	-o-transform: var(--full-transform);
	-ms-transform: var(--full-transform);
	-webkit-transform: var(--full-transform);
	-moz-transform: var(--full-transform);
}

.talent-point .talent-point-order {
    display: table-cell;
    font-size: .8em;
    height: 1.25em;
    width: 1.25em;
    text-shadow: none;
    color: black;
    font-weight: bold;
    
    text-align: center;
    vertical-align: middle;
    
}
.talent-top-level[data-talent-gold="true"] .talent-point {
	--full-transform: translate(-.6em, -.6em) rotate(var(--talent-rotate-deg)) translate(-3em) rotate(calc(-1 * var(--talent-rotate-deg)));
}
.talent-point.unlocked {
    background-color: yellow;
}
.talent-point:hover {
    background-color: orange;
}
.talent-point-w {
	--talent-rotate-deg: 0deg;
}
.talent-point-nw {
	--talent-rotate-deg: 45deg;
}
.talent-point-n {
	--talent-rotate-deg: 90deg;
}
.talent-point-ne {
	--talent-rotate-deg: 135deg;
}
.talent-point-e {
	--talent-rotate-deg: 180deg;
}

.talent-level-value.selected {
	color: darkgreen;
	font-weight: bold;
}

.talent-level-value.unselected {
}


.talent-note-image {
	max-width: 100%;
	cursor: pointer;
}

#fullscreen-image-container {
	position: fixed;
	display: grid;
	top: 0px;
	left: 0px;
	width: 100vw;
	height: 100vh;
	z-index: 10;
	align-items: center;
	background-color: rgba(.82, .82, .82, .82);
}

#fullscreen-image-container.hidden {
	visibility: hidden;
}

#fullscreen-image {
	max-width: 80%;
	max-height: 80%;
	margin: auto;
}